#5 JIRA issues not loading to the application

v0.1_alpha
pending
glazachev
None
9
2014-02-13
2013-01-18
Anonymous
No

Hi,

We are using JIRA on-demand application and latest version is JIRA 6.0.

We have configured the JIRA configurations as follows:
Enable : Enabled
URL: https://xyz.atlassian.net/
Login: Username
Password: Password
Filter id: 10107

When adding JIRA issue from Issue Tracker->Add new sub task from JIRA given the issue Key which is in the filter list.

But we get an error as "Issue not found".

Please advice on this issue.

Thank you.

Best Regards,
Derick

Discussion


  • Anonymous
    2013-01-18

    • priority: 5 --> 9
     

  • Anonymous
    2013-01-18

    • assigned_to: nobody --> zgibek
     
    • assigned_to: zgibek --> cnitsa
     
  • glazachev
    glazachev
    2013-01-19

    Good day, Derick.

    Tst does not support. jira 6.
    I have no jira 6 installation. You can export filter as xml and attach it to this ticker.
    I'll look at this, what changes.

     

  • Anonymous
    2013-01-24

    I have attached a filter xml for your reference.

    Thanks.

     

  • Anonymous
    2013-01-24

    <!--
    RSS generated by JIRA (6.0-OD-05#6020-sha1:892) at Thu Jan 24 15:38:35 IST 2013

    It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
    For example, to request only the issue key and summary add field=key&field=summary to the URL of your request.
    For example:
    https://xyz.atlassian.net/sr/jira.issueviews:searchrequest-xml/10107/SearchRequest-10107.xml?tempMax=1000&field=key&field=summary
    -->
    <!-- If you wish to do custom client-side styling of RSS, uncomment this:
    <?xml-stylesheet href="https://xyz.atlassian.net/styles/jiraxml2html.xsl" type="text/xsl"?>
    -->
    <rss version="0.92">
    <channel>
    <title>All In Progress Bugs (JIRA)</title>
    <link>https://xyz.atlassian.net/secure/IssueNavigator.jspa?requestId=10107</link>
    <description>An XML representation of a search request</description>
    <language>en-us</language>
    <issue start="0" end="3" total="3"/>
    <build-info>
    <version>6.0-OD-05</version>
    <build-number>6020</build-number>
    <build-date>15-01-2013</build-date>
    </build-info>
    <item>
    <title>[RCA-23] Remove &lt;br&gt; on JIRA description and comments</title>
    <link>https://xyz.atlassian.net/browse/RCA-23</link>
    <project id="10304" key="RCA">App</project>
    <description></description>
    <environment></environment>
    <key id="13559">RCA-23</key>
    <summary>JIRA description and comments</summary>
    <type id="1" iconUrl="https://xyz.atlassian.net/images/icons/issuetypes/bug.png">Bug</type>
    <priority id="4" iconUrl="https://xyz.atlassian.net/images/icons/priorities/minor.png">Minor</priority>
    <status id="3" iconUrl="https://xyz.atlassian.net/images/icons/statuses/inprogress.png">In Progress</status>
    <resolution id="-1">Unresolved</resolution>
    <assignee username="shen.s">Shanaka Perera</assignee>
    <reporter username="derick">Katipearachchi</reporter>
    <labels>
    </labels>
    <created>Tue, 15 Jan 2013 19:06:39 +0530</created>
    <updated>Thu, 24 Jan 2013 14:44:32 +0530</updated>
    <due></due>
    <votes>0</votes>
    <watches>1</watches>
    <attachments>
    </attachments>
    <subtasks>
    </subtasks>
    <customfields>
    <customfield id="customfield_10006" key="com.pyxis.greenhopper.jira:gh-global-rank">
    <customfieldname>Rank</customfieldname>
    <customfieldvalues>
    <customfieldvalue>6</customfieldvalue>
    </customfieldvalues>
    </customfield>
    <customfield id="customfield_10007" key="com.pyxis.greenhopper.jira:gh-sprint">
    <customfieldname>Sprint</customfieldname>
    <customfieldvalues>
    <customfieldvalue>3</customfieldvalue>

    </customfieldvalues>
    </customfield>
    <customfield id="customfield_10101" key="com.atlassian.bonfire.plugin:bonfire-testing-status-cft">
    <customfieldname>Testing Status</customfieldname>
    <customfieldvalues>

    </customfieldvalues>
    </customfield>
    </customfields>
    </item>

    <item>
    <title>Sitemap Pages with two Bugs</title>
    <link>https://xyz.atlassian.net/browse/ESEODA-12</link>
    <project id="10003" key="ESEODA">SEO</project>
    <description>See screenshot attached.</description>
    <environment></environment>
    <key id="10700">ESEODA-12</key>
    <summary>Sitemap Pages with two Bugs</summary>
    <type id="1" iconUrl="https://xyz.atlassian.net/images/icons/issuetypes/bug.png">Bug</type>
    <priority id="2" iconUrl="https://xyz.atlassian.net/images/icons/priorities/critical.png">Critical</priority>
    <status id="3" iconUrl="https://xyz.atlassian.net/images/icons/statuses/inprogress.png">In Progress</status>
    <resolution id="-1">Unresolved</resolution>
    <assignee username="fundeutsch">Felix</assignee>
    <reporter username="fundeutsch">Felix</reporter>
    <labels>
    </labels>
    <created>Tue, 27 Nov 2012 15:07:35 +0530</created>
    <updated>Fri, 7 Dec 2012 16:19:29 +0530</updated>
    <due>Fri, 30 Nov 2012 00:00:00 +0530</due>
    <votes>0</votes>
    <watches>3</watches>
    <comments>
    <comment id="10301" author="dinithi" created="Thu, 29 Nov 2012 10:15:51 +0530" >Reported two issues in city sitemap has fixed.</comment>
    <comment id="10427" author="gawesha.b" created="Fri, 7 Dec 2012 12:39:44 +0530" >This issue has been fixed. It was with the page cache.</comment>
    <comment id="10429" author="fundeutsch" created="Fri, 7 Dec 2012 16:18:57 +0530" >Thanks </comment>
    </comments>
    <attachments>
    <attachment id="10400" name="appage_pagination.jpg" size="169366" author="funutsch" created="Tue, 27 Nov 2012 15:07:35 +0530" />
    </attachments>
    <subtasks>
    </subtasks>
    <customfields>
    <customfield id="customfield_10006" key="com.pyxis.greenhopper.jira:gh-global-rank">
    <customfieldname>Rank</customfieldname>
    <customfieldvalues>
    <customfieldvalue>77</customfieldvalue>
    </customfieldvalues>
    </customfield>
    <customfield id="customfield_10101" key="com.atlassian.bonfire.plugin:bonfire-testing-status-cft">
    <customfieldname>Testing Status</customfieldname>
    <customfieldvalues>

    </customfieldvalues>
    </customfield>
    <customfield id="customfield_10001" key="com.atlassian.jira.ext.charting:firstresponsedate">
    <customfieldname>[CHART] Date of First Response</customfieldname>
    <customfieldvalues>
    <customfieldvalue>Thu, 29 Nov 2012 10:15:51 +0530</customfieldvalue>

    </customfieldvalues>
    </customfield>
    </customfields>
    </item>

    <item>
    <title>upload via xml-file not working properly</title>
    <link>https://xyz.atlassian.net/browse/ESTG-11</link>
    <project id="10103" key="ESTG">Travel Guide</project>
    <description>When upload POIs with xml-file, the backend is not saving/transfering the dates properly.</description>
    <environment>&lt;p&gt;Backend&lt;/p&gt;</environment>
    <key id="10904">ESEDETG-11</key>
    <summary>upload via xml-file not working properly</summary>
    <type id="1" iconUrl="https://xyz.atlassian.net/images/icons/issuetypes/c.png">Bug</type>
    <priority id="3" iconUrl="https://xyz.atlassian.net/images/icons/priorities/major.png">Major</priority>
    <status id="3" iconUrl="https://xyz.atlassian.net/images/icons/statuses/inprogress.png">In Progress</status>
    <resolution id="-1">Unresolved</resolution>
    <assignee username="raoulzenon">RZenon</assignee>
    <reporter username="raoulzenon">RZenon</reporter>
    <labels>
    </labels>
    <created>Tue, 11 Dec 2012 17:02:14 +0530</created>
    <updated>Fri, 11 Jan 2013 18:27:25 +0530</updated>
    <due>Fri, 21 Dec 2012 00:00:00 +0530</due>
    <votes>0</votes>
    <watches>2</watches>
    <comments>

    </comments>
    <attachments>
    </attachments>
    <subtasks>
    </subtasks>
    <customfields>
    <customfield id="customfield_10006" key="com.pyxis.greenhopper.jira:gh-global-rank">
    <customfieldname>Rank</customfieldname>
    <customfieldvalues>
    <customfieldvalue>127</customfieldvalue>
    </customfieldvalues>
    </customfield>
    <customfield id="customfield_10101" key="com.atlassian.bonfire.plugin:bonfire-testing-status-cft">
    <customfieldname>Testing Status</customfieldname>
    <customfieldvalues>

    </customfieldvalues>
    </customfield>
    <customfield id="customfield_10001" key="com.atlassian.jira.ext.charting:firstresponsedate">
    <customfieldname>[CHART] Date of First Response</customfieldname>
    <customfieldvalues>
    <customfieldvalue>Wed, 12 Dec 2012 19:11:16 +0530</customfieldvalue>

    </customfieldvalues>
    </customfield>
    </customfields>
    </item>
    </channel>
    </rss>

     
  • glazachev
    glazachev
    2013-01-26

    Good day, Derick.

    Ideas:
    * try to remove trailing slash from base url.
    * you use https, so check java certificate properties (trust, ... etc)

    Also I've introduced folling properties (will be in prop file after first save):
    * jira.issue.url.template, params: url, key, authparams
    * jira.filter.url.template, params: url, filterId, authparams

    You can change jira's urls manually. It would be a good thing, If you will test it.
    Try snaphshot build.

    --
    Andrey

     
  • glazachev
    glazachev
    2014-02-13

    • status: open --> pending
    • Group: --> v0.1_alpha